<?php 
header('Access-Control-Allow-Origin: *');
require_once "../modelos/Cita.php";

$cita           =   new Cita();
//`id``title``descripcion``color``textColor``start``end`

$id                 	=   isset($_POST["id"])? limpiarCadena($_POST["id"]):"";
$title              	=   isset($_POST["title"])? limpiarCadena($_POST["title"]):"";
$descripcion        	=   isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";
$backgroundColor    	=   isset($_POST["backgroundColor"])? limpiarCadena($_POST["backgroundColor"]):"";
$textColor          	=   isset($_POST["textColor"])? limpiarCadena($_POST["textColor"]):"";
$start              	=   isset($_POST["start1"])? limpiarCadena($_POST["start1"]):"";
$hora1              	=   isset($_POST["hora1"])? limpiarCadena($_POST["hora1"]):"";
$hora2              	=   isset($_POST["hora2"])? limpiarCadena($_POST["hora2"]):"";
$horai              	=   isset($_POST["horai"])? limpiarCadena($_POST["horai"]):"";
$idcama             	=   isset($_POST["idcama"])? limpiarCadena($_POST["idcama"]):"";
$idcubiculo         	=   isset($_POST["idcubiculo"])? limpiarCadena($_POST["idcubiculo"]):"";
$idpaciente         	=   isset($_POST["idpaciente"])? limpiarCadena($_POST["idpaciente"]):"";
$idfisioterapeuta   	=   isset($_POST["idfisioterapeuta"])? limpiarCadena($_POST["idfisioterapeuta"]):"";
$idcamarahiperbarica    =   isset($_POST["idcamarahiperbarica"])? limpiarCadena($_POST["idcamarahiperbarica"]):"";
$idservicio    			=   isset($_POST["idservicio"])? limpiarCadena($_POST["idservicio"]):"";
$estado                	=   isset($_POST["estado"])? limpiarCadena($_POST["estado"]):"";
$end                	=   isset($_POST["end"])? limpiarCadena($_POST["end"]):"";
$espacio                =   isset($_POST["espacio"])? limpiarCadena($_POST["espacio"]):"";

$fechainicio 			= 	$start." ".$hora1;
$fechafinal				= 	$start." ".$hora2;

switch ($_GET["op"]) {
	case 'guardaryeditar':
	    if (empty($id)) {
        $rspta=$cita->insertar($title,$descripcion,$backgroundColor,$textColor,$fechainicio,$fechafinal,$idcama,$idcubiculo,$idpaciente,$idfisioterapeuta,$idcamarahiperbarica,$idservicio,'Disponible',$espacio,$horai,$start);
		echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
	    }else{
         $rspta=$cita->editar($id,$title,$descripcion,$backgroundColor,$textColor,$fechainicio,$fechafinal,$idcama,$idcubiculo,$idpaciente,$idfisioterapeuta,$idcamarahiperbarica,$idservicio,$estado,$espacio,$horai,$start);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
        } 
    break;
	

	case 'desactivar':
		$rspta=$cita->desactivar($idalicuota);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
		break;
	case 'activar':
		$rspta=$cita->activar($idalicuota);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
		break;
	
	case 'mostrar':
		$rspta=$cita->mostrar($idalicuota);
		echo json_encode($rspta);
		break;

    case 'listar':
		$rspta=$cita->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idalicuota.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idalicuota.')">
						<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idalicuota.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idalicuota.')">
						<i class="fa fa-check"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->porcentaje,
            "3"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de citas al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de citas a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
	
	//Se buscan las citas de un paciente
	case 'listarCitas':
		$rspta			=$cita->listarCitas($idpaciente);
		$dataA			=Array();
		$porcentaje		=0;
		$preciod		=0;
		$precio			=0;
		$numerolote 	='N/A';
		$impuestoart18	=0;
		$impuestoart18d	=0;
		$preciopvp		=0;
		$preciopvpd		=0;
		$idalmacen		='N/A';
		$fechalote		='N/A';

		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$preciod	=$reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idservicio.',\''.$idalmacen.'\',\''.$reg->descripcion.'\','.$precio.','.$preciod.','.$porcentaje.',\''.$numerolote.'\',\''.$fechalote.'\',\''.$reg->fecha.'\',\''.$reg->excento.'\','.$impuestoart18.','.$impuestoart18d.','.$preciopvp.','.$preciopvpd.','.$reg->id.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->fecha,
						"2"=>$reg->descripcion,
						"3"=>number_format($reg->precio,2,',','.'),
						"4"=>$reg->estado,
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'selectServicio':
		require_once "../modelos/Servicios.php";
		$valorinicio	= 0;
		$valornombre	= 'Seleccione el Servicio';
		$servicio		=	new Servicios();
		$rspta			=	$servicio->selectf();
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idservicio.'>'.$reg->sesion.'</option>';
		}
	break;

    case 'listarCita':
		$rspta  =$cita->listarcita();
		echo json_encode($rspta);
	break;
        
}
 ?>